=== debian/changelog ===
golang-github-mfridman-tparse (0.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #1118504)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 31 Oct 2025 17:54:18 +0100
