=== debian/control ===
Source: golang-github-mfridman-tparse
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-charmbracelet-lipgloss-dev (>= 1.1.0),
               golang-github-muesli-termenv-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-term-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mfridman-tparse
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mfridman-tparse.git
Homepage: https://github.com/mfridman/tparse
XS-Go-Import-Path: github.com/mfridman/tparse

Package: golang-github-mfridman-tparse-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-charmbracelet-lipgloss-dev (>= 1.1.0),
         golang-github-muesli-termenv-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-term-dev,
         ${misc:Depends},
Description: CLI tool for summarizing go test output
 A command line tool for analyzing and summarizing go test output.
 .
 This package contains the development files.
