=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

# Currently, we do not need the CLI tool,
# only the go source files.
override_dh_auto_install:
	dh_auto_install -- --no-binaries
